Bug 167615 - Doesn't compress zero-sized files even with -f
Doesn't compress zero-sized files even with -f
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ncompress (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Ben Levenson
RHEL4U3NAK
:
Depends On:
Blocks: 187538
  Show dependency treegraph
 
Reported: 2005-09-06 06:40 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 17:17:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ncompress-4.2.4-zerobyteforce.patch (patch by sprabhu@redhat.com) (336 bytes, patch)
2005-09-06 06:40 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-09-06 06:40:05 EDT
+++ This bug was initially created as a clone of Bug #167614 +++

$ touch foo
$ compress -f foo
$ ls -l foo.Z
ls: foo.Z: No such file or directory
$ ls -l foo
0 -rw-r--r--  1 bnocera bnocera 0 Sep  6 11:31 foo

Patch attached below.

-- Additional comment from bnocera@redhat.com on 2005-09-06 06:38 EST --
Created an attachment (id=118490)
ncompress-4.2.4-zerobyteforce.patch (patch from sprabhu@redhat.com)
Comment 1 Bastien Nocera 2005-09-06 06:40:06 EDT
Created attachment 118491 [details]
ncompress-4.2.4-zerobyteforce.patch (patch by sprabhu@redhat.com)
Comment 9 David Lawrence 2006-04-18 10:41:55 EDT
PASSES_QA status has been deprecated in favor of VERIFIED. Changing status to
VERIFIED.
Comment 11 Red Hat Bugzilla 2006-04-26 17:17:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0304.html
Comment 12 Issue Tracker 2007-06-17 00:58:58 EDT
Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'RHEL 3.9'
Ticket type set to: 'Problem'

This event sent from IssueTracker by rchidamb 
 issue 79196

Note You need to log in before you can comment on or make changes to this bug.